<div class="tab-pane" id="tab3">
    <div class="example-box-wrapper">
        <blink><b style="color:red;">Pajak Reklame yang akan Habis, 20 hari sebelum Berakhirnya Masa Pajak!!</b></blink>
        <div class="row" style=" overflow: auto;">
            <table class="table table-condensed table-bordered table-striped table-hover cf" style="font-size: 11px; color: black;">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No.
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No. Himbauan
                        </th>            
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Tgl. Pendataan
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            NPWPD
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            NIOP
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama Objek
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Masa Pajak
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Jumlah Pajak (Rp.)
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            #
                        </th>  
                    </tr>
                    <tr class="bg-default">
                        <td></td>
                        <td><input type="text" id="t_nourut_cari_2" class="form-control input-sm" onkeyup="calldatagrid2()"></td>
                        <td><input type="text" id="t_tglpendataan_cari_2" class="form-control input-sm" onchange="calldatagrid2()"></td>
                        <td><input type="text" id="t_npwpd_cari_2" class="form-control input-sm" onkeyup="calldatagrid2()"></td>
                        <td><input type="text" id="t_nama_cari_2" class="form-control input-sm" onkeyup="calldatagrid2()"></td>
                        <td><input type="text" id="t_niop_cari_2" class="form-control input-sm" onkeyup="calldatagrid2()"></td>
                        <td><input type="text" id="t_namaobjek_cari_2" class="form-control input-sm" onkeyup="calldatagrid2()"></td>
                        <td><input type="text" id="t_masapajak_cari_2" class="form-control input-sm" onchange="calldatagrid2()"></td>
                        <td><input type="text" id="t_jmlhpajak_cari_2" class="form-control input-sm" onkeyup="calldatagrid2()"></td>
                        <td></td>
                    </tr>
                </thead>
                <tbody id="body_grid2">
                </tbody>
                <tfoot>              
                    <tr>
                        <td colspan="10" class="text-center">
                            <div class="row">
                                <div class="col-sm-3 text-left">
                                    <span class="hiddene">
                                        <select id="rows2" class="form-control" style="width: 30%" onchange="calldatagrid2(1)">
                                            <option value="10">10</option>
                                            <option value="20">20</option>
                                            <option value="30">30</option>
                                            <option value="40">40</option>
                                            <option value="50">50</option>
                                        </select>
                                    </span>
                                </div>
                                <div class="col-sm-6" style="text-align: center">
                                    <center>
                                        <div id="paginatore2"></div>
                                        <input type="hidden" id="s_idjenis" value="<?= $s_idjenis ?>">
                                        <input type="hidden" id="page2" value="1">
                                    </center>
                                </div>
                                <div class="col-sm-3 text-right">
                                    <span class="hiddene">
                                        <p>
                                            <b style="font-size: 13px; color: orangered"><span id="awaldata2"></span> s/d <span id="akhirdata2"></span> Dari <span id="total_data2"></span> Data</b>
                                        </p>  
                                    </span>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakHimbauan" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK SURAT HIMBAUAN</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Pendataan
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idtransaksihimbauan" id="idtransaksihimbauan">
                                <input type="text" class="form-control" name="tglketetapanhimbauan" id="tglketetapanhimbauan" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" name="namawphimbauan" id="namawphimbauan" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" name="alamatwphimbauan" id="alamatwphimbauan" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-8">
                                <select name="ttd0" id="ttd0" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetakhimbauan()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakHimbauan()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        $('#t_tglpendataan_cari_2').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid1();
        });
    });

    $(function () {
        $('#t_masapajak_cari_2').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid1();
        });
    });
    
    $(function () {
        calldatagrid2();
    });

    function calldatagrid2(direction) {
        datagrid2($("#s_idjenis").val(), $("#page2").val(), $("#rows2").val(), direction);
    }

    function datagrid2(s_idjenis, page2, row, direction) {
        $.post('<?= $this->url() ?>/dataGridMasahabis/' + s_idjenis + '/' + page2 + '/' + row + '/' + direction,{
            t_nourut: $('#t_nourut_cari_2').val(),
            t_tglpendataan: $('#t_tglpendataan_cari_2').val(),
            t_npwpd: $('#t_npwpd_cari_2').val(),
            t_nama: $('#t_nama_cari_2').val(),
            t_niop: $('#t_niop_cari_2').val(),
            t_namaobjek: $('#t_namaobjek_cari_2').val(),
            t_masapajak: $('#t_masapajak_cari_2').val(),
            t_jmlhpajak: $('#t_jmlhpajak_cari_2').val(),
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid2").html(aa.grid2);
            $("#rows2").val(aa.rows2);
            $("#page2").val(aa.page2);
            $("#total_data2").html(": " + aa.count2);
            $("#total_halaman2").html(": " + aa.total_halaman2);
            $("#paginatore2").html(aa.paginatore2);
            $("#awaldata2").html(aa.awaldata2);
            $("#akhirdata2").html(aa.akhirdata2);
        });
    }

    function bukaCetakHimbauan(a) {
        $.post('<?= $this->url() ?>/dataPendataan', {idtransaksi: a}, function (data) {
            var aa = JSON.parse(data);
            $("#idtransaksihimbauan").val(aa.idtransaksi);
            $("#namawphimbauan").val(aa.namawp);
            $("#alamatwphimbauan").val(aa.alamatwp);
            $("#tglketetapanhimbauan").val(aa.tglketetapan);
        });
        $('#modalCetakHimbauan').modal('show');
    }

    function tutupCetakHimbauan() {
        $('#modalCetakHimbauan').modal('hide');
    }

    function cetakhimbauan() {
        window.open('<?= $this->url() ?>/cetakhimbauan?t_idtransaksi=' + $("#idtransaksihimbauan").val() + "&ttd0=" + $("#ttd0").val());
    }
</script>
<style type="text/css">
    .combooperator2c select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
</style>
